org.apache.ignite.internal.processors.platform.compute

## Class PlatformCallable

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.compute.PlatformAbstractFunc
  - - org.apache.ignite.internal.processors.platform.compute.PlatformCallable

All Implemented Interfaces:
  Serializable, Callable, IgniteCallable

    public class PlatformCallable
    extends PlatformAbstractFunc
    implements IgniteCallable

Callable implementation that delegates to native platform.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.compute.PlatformAbstractFunc

`ignite`

### Constructor Summary

Constructors
Constructor and Description
`PlatformCallable(Object func, long ptr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `call()` <inheritdoc />
`protected void` `platformCallback(PlatformCallbackGateway gate, long memPtr)` <inheritdoc />

### Methods inherited from class org.apache.ignite.internal.processors.platform.compute.PlatformAbstractFunc

`invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCallable

    public PlatformCallable(Object func,
                            long ptr)

Constructor.

Parameters:
  `func` - Platform func.
  `ptr` - Handle for local execution.

### Method Detail

#### platformCallback

    protected void platformCallback(PlatformCallbackGateway gate,
                                    long memPtr)

<inheritdoc />

Specified by:
  `platformCallback` in class `PlatformAbstractFunc`
Parameters:
  `gate` - Gateway.
  `memPtr` - Pointer.

#### call

    public Object call()
                throws Exception

<inheritdoc />

Specified by:
  `call` in interface `Callable`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022